org.apache.lucene.geo

## Enum SimpleWKTShapeParser.ShapeType

- java.lang.Object
- - java.lang.Enum<SimpleWKTShapeParser.ShapeType>
  - - org.apache.lucene.geo.SimpleWKTShapeParser.ShapeType

All Implemented Interfaces:
  Serializable, Comparable<SimpleWKTShapeParser.ShapeType>

Enclosing class:
  SimpleWKTShapeParser

    public static enum SimpleWKTShapeParser.ShapeType
    extends Enum<SimpleWKTShapeParser.ShapeType>

Enumerated type for Shapes

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ENVELOPE`
`GEOMETRYCOLLECTION`
`LINESTRING`
`MULTILINESTRING`
`MULTIPOINT`
`MULTIPOLYGON`
`POINT`
`POLYGON`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SimpleWKTShapeParser.ShapeType` `forName(String shapename)`
`protected String` `typename()`
`static SimpleWKTShapeParser.ShapeType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SimpleWKTShapeParser.ShapeType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.
`String` `wktName()` wkt shape name

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### POINT

    public static final SimpleWKTShapeParser.ShapeType POINT

#### MULTIPOINT

    public static final SimpleWKTShapeParser.ShapeType MULTIPOINT

#### LINESTRING

    public static final SimpleWKTShapeParser.ShapeType LINESTRING

#### MULTILINESTRING

    public static final SimpleWKTShapeParser.ShapeType MULTILINESTRING

#### POLYGON

    public static final SimpleWKTShapeParser.ShapeType POLYGON

#### MULTIPOLYGON

    public static final SimpleWKTShapeParser.ShapeType MULTIPOLYGON

#### GEOMETRYCOLLECTION

    public static final SimpleWKTShapeParser.ShapeType GEOMETRYCOLLECTION

#### ENVELOPE

    public static final SimpleWKTShapeParser.ShapeType ENVELOPE

### Method Detail

#### values

    public static SimpleWKTShapeParser.ShapeType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SimpleWKTShapeParser.ShapeType c : SimpleWKTShapeParser.ShapeType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SimpleWKTShapeParser.ShapeType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### typename

    protected String typename()

#### wktName

    public String wktName()

wkt shape name

#### forName

    public static SimpleWKTShapeParser.ShapeType forName(String shapename)